summaryrefslogtreecommitdiff
path: root/games-simulation/HumanResourceMachine/HumanResourceMachine-2016.03.23.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'games-simulation/HumanResourceMachine/HumanResourceMachine-2016.03.23.ebuild')
-rw-r--r--games-simulation/HumanResourceMachine/HumanResourceMachine-2016.03.23.ebuild23
1 files changed, 12 insertions, 11 deletions
diff --git a/games-simulation/HumanResourceMachine/HumanResourceMachine-2016.03.23.ebuild b/games-simulation/HumanResourceMachine/HumanResourceMachine-2016.03.23.ebuild
index 028db493..217b5e8a 100644
--- a/games-simulation/HumanResourceMachine/HumanResourceMachine-2016.03.23.ebuild
+++ b/games-simulation/HumanResourceMachine/HumanResourceMachine-2016.03.23.ebuild
@@ -12,21 +12,22 @@ SRC_URI="${PN}-Linux-${PV//./-}.sh"
RESTRICT="bindist fetch mirror"
S=$WORKDIR
-LICENSE="all-rights-reserved"
+LICENSE="all-rights-reserved" # bundled libraries have different licences, see LICENSE.txt
SLOT="0"
KEYWORDS="-* ~amd64" # ~x86
IUSE=""
-DEPEND=""
-RDEPEND="
- media-libs/libsdl2
- media-libs/openal"
+DEPEND="app-arch/unzip"
+RDEPEND="media-libs/libsdl2[X,opengl,threads]
+ media-libs/openal
+ sys-libs/zlib
+ virtual/opengl"
-QA_PREBUILT="opt/HumanResourceMachine*"
+QA_PREBUILT="opt/$PN/*"
pkg_setup() {
use amd64 && myarch=x86_64
- #use x86 && myarch=x86
+ use x86 && myarch=x86
}
src_unpack() {
@@ -37,18 +38,18 @@ src_prepare() {
mv data/noarch/README.linux "$T" || die
rm -f data/noarch/LICENSE.txt || die
rm -rf meta scripts || die
- rm -rf data/*/lib*/ || die
+ rm -rf data/*/lib*/ || die # Remember to update LICENSE if installing bundled libraries
use amd64 || rm -rf data/x86_64 || die
use x86 || rm -rf data/x86 || die
}
src_install() {
insinto /opt/$PN
- doins -r data/{noarch,$myarch}/. # executable and resources must be in same place
+ doins -r data/{noarch,$myarch}/. # Executable and resources must be in same place
fperms +x /opt/$PN/HumanResourceMachine.bin.$myarch
- make_wrapper ${PN} /opt/$PN/HumanResourceMachine.bin.$myarch /opt/$PN
- make_desktop_entry ${PN} "Human Resource Machine" /opt/$PN/icon.png
+ make_wrapper $PN /opt/$PN/HumanResourceMachine.bin.$myarch /opt/$PN
+ make_desktop_entry $PN "Human Resource Machine" /opt/$PN/icon.png
dodoc "$T"/README.linux
}